Subject: problems with cygwin.dll
From: [email-masked] (Tommy Reilly)

30 Oct 1997 14:14:07 -0800
Message-ID: <[email-masked]>
To: [email-masked]

Well I applied gdb to my problem and got the following results.  As
you can see from the stack trace the interpreter is calling my native
functions fine but seg faults inside of printf.  Could it be that the
fact that the interpreter uses all these MS libraries prevents me from
using cygwin.dll?  Could I possibly get around this by statically
linking the symbols I need from cygwin.dll into my dll (its the one
called ra200.dll)?  Does that even make sense?

I think being able to use gnu-win32 for Java native libs would be a
big win and if I can get past this and figure out whats going on I'd
be happy to contribute a HOWTO as far as how to do this.

I'd appreciate it greatly if anyone could help me on this one.

-----------------------

Starting program: /jdk1.1.4/bin/java.exe agent.HardwareImpl
(no debugging symbols found)...10000000:/jdk1.1.4/bin/javai.dll

[failed reading symbols from DLL]
"/winnt/system32/ADVAPI32.dll": error reading line numbers

[failed reading symbols from DLL]
"/winnt/system32/KERNEL32.dll": error reading line numbers

(no debugging symbols found)...77e70000:/winnt/system32/USER32.dll
(no debugging symbols found)...77ed0000:/winnt/system32/GDI32.dll
(no debugging symbols found)...77e20000:/winnt/system32/RPCRT4.dll

[failed reading symbols from DLL]
"/winnt/System32/WINMM.dll": error reading line numbers

(no debugging symbols found)...78000000:/winnt/system32/MSVCRT.dll

[failed reading symbols from DLL]
"/winnt/System32/mmdrv.dll": error reading line numbers

(no debugging symbols found)...77e10000:/winnt/System32/rpcltc1.dll
warning: LDR: Automatic DLL Relocation in java.exe

warning: LDR: Dll ra200.dll base 10000000 relocated due to collision with c:\jdk1.1.4\bin\javai.dll

1ef0000://I/proto/agent/lib/ra200.dll
warning: LDR: Automatic DLL Relocation in java.exe

warning: LDR: Dll cygwin.dll base 10000000 relocated due to collision with c:\jdk1.1.4\bin\javai.dll

1f40000:/gnuwin32/b18/H-i386-cygwin32/bin/cygwin.dll
776d0000:/winnt/System32/wsock32.dll

[failed reading symbols from DLL]
"/winnt/System32/WS2_32.dll": error reading line numbers

[failed reading symbols from DLL]
"/winnt/System32/WS2HELP.dll": error reading line numbers

warning: LDR: Automatic DLL Relocation in java.exe

warning: LDR: Dll net.dll base 10000000 relocated due to collision with c:\jdk1.1.4\bin\javai.dll

1fa0000:/jdk1.1.4/bin/net.dll

[failed reading symbols from DLL]
"/winnt/System32/rnr20.dll": error reading line numbers

[failed reading symbols from DLL]
"/winnt/system32/msafd.dll": error reading line numbers

[failed reading symbols from DLL]
"/winnt/System32/wshtcpip.dll": error reading line numbers

Program received signal SIGSEGV, Segmentation fault.
0x1f688e8 in printf ()
(gdb) bt
#0  0x1f688e8 in printf ()
#1  0x1ef1018 in Java_agent_HardwareImpl_createHardwarePeer (env=0x10049b4c, this_obj=0x3) at HardwareImpl.cpp:21
#2  0x100361ab in TWO52 ()
#3  0x1000c8ea in init_exception_handler ()
#4  0x1d17540 in ?? ()
#5  0x875940 in ?? ()
#6  0x1d17958 in ?? ()
Cannot access memory at address 0x3002d.
(gdb) Single stepping until exit from function printf, 
which has no line number information.
Can't send signals to the child.

-- 
Tommy Reilly                   
DEC StorageWorks                 
[email-masked]       
(508) 841-3676
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".